Overview
GET/public/discussion/topics/{id}/postsdiscussion

List a PUBLIC topic’s live posts (with resolved markdown bodies), thread order

Fetch a record from posts by id.

Parameters
  • idpathstring
  • pagequery · optionalstring
  • pageSizequery · optionalstring
Responses
200

The topic’s live posts in thread order (post_number ASC)

  • itemsDiscussionPost[]
Example
{
  "items": [
    {
      "id": "string",
      "topicId": "string",
      "parentPostId": "string",
      "postNumber": 0,
      "bodyDocumentId": "string",
      "customerId": "string",
      "ecosystemId": "string",
      "communityId": "string",
      "content": "string",
      "isDeleted": true,
      "createdAt": "string",
      "updatedAt": "string",
      "deletedAt": "string"
    }
  ]
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/public/discussion/topics/{id}/posts" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/public/discussion/topics/{id}/posts", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();